This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 187270 - kernel error for maestro radio driver, found in /var/log/messages
kernel error for maestro radio driver, found in /var/log/messages
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-29 13:00 EST by Scot Harris
Modified: 2015-01-04 17:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 17:50:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scot Harris 2006-03-29 13:00:22 EST
Description of problem:

New install of FC5 on a Dell Latitude CPx laptop.  Found these entries in
/var/log messages.

Mar 26 14:16:02 discsander kernel: videodev: "Maestro radio" has no release
callback. Please fix your driver for proper sysfs support, see
http://lwn.net/Articles/36850/
Mar 26 14:16:02 discsander kernel: maestro_radio: probe of 0000:00:08.0 failed
with error -5

Version-Release number of selected component (if applicable):

Linux discsander.slh.lan 2.6.15-1.2054_FC5 #1 Tue Mar 14 15:48:33 EST 2006 i686
i686 i386 GNU/Linux

How reproducible:

This problem has been in place since loading FC5 on this laptop.

Steps to Reproduce:
1.  Load FC5
2.  Boot system
3.
  
Actual results:

Error message as indicated above.

Expected results:

Message indicates this driver has an error and should be corrected.

Additional info:

Not sure what this driver is for or which package loads it.  As far as I can
tell I don't need this driver.  Other than the error message I can do with out
this driver.
Comment 1 Dave Jones 2006-10-16 19:59:46 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Dave Jones 2006-11-24 17:50:13 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.